Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Private Member Functions | Private Attributes | List of all members
CoinExternalVectorFirstLess_3< S, T, U, V > Class Template Reference

Function operator. More...

`#include <CoinSort.hpp>`

## Public Member Functions
bool | operator() (const CoinTriple< S, T, U > &t1, const CoinTriple< S, T, U > &t2) const
| CoinExternalVectorFirstLess_3 (const V *v)

## Private Member Functions
| CoinExternalVectorFirstLess_3 ()

## Private Attributes
const V * | vec_

## Detailed Description

### template<class S, class T, class U, class V>
class CoinExternalVectorFirstLess_3< S, T, U, V >

Function operator.

Compare based on the entries of an external vector, i.e., returns true if vec[t1.first < vect2.first. Note that to use this comparison operator .first must be a data type automatically convertible to int.

Definition at line 593 of file CoinSort.hpp.

## Constructor & Destructor Documentation

template<class S , class T , class U , class V >

CoinExternalVectorFirstLess_3< S, T, U, V >::CoinExternalVectorFirstLess_3 | ( |  | ) |
| private

template<class S , class T , class U , class V >

CoinExternalVectorFirstLess_3< S, T, U, V >::CoinExternalVectorFirstLess_3 | ( | const V * | v | ) |
| inline

Definition at line 606 of file CoinSort.hpp.

## Member Function Documentation

template<class S , class T , class U , class V >

bool CoinExternalVectorFirstLess_3< S, T, U, V >::operator() | ( | const CoinTriple< S, T, U > & | t1,
|  | const CoinTriple< S, T, U > & | t2
| ) |  | const
| inline

Definition at line 601 of file CoinSort.hpp.

## Member Data Documentation

template<class S , class T , class U , class V >

const V* CoinExternalVectorFirstLess_3< S, T, U, V >::vec_
| private

Definition at line 598 of file CoinSort.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/CoinUtils/src/CoinSort.hpp